org.codehaus.plexus.metadata.ann

## Class AnnClass

- java.lang.Object
- - org.codehaus.plexus.metadata.ann.AnnClass

    public class AnnClass
    extends java.lang.Object

Author:
  Eugene Kuleshov

### Constructor Summary

Constructors
Constructor and Description
`AnnClass(java.lang.ClassLoader cl)`

### Method Summary

Methods
`void` `addAnn(Ann ann)`
`void` `addField(AnnField field)`
`void` `addMethod(AnnMethod method)`
`int` `getAccess()`
`<T> T` `getAnnotation(java.lang.Class<T> c)`
`java.util.Map<java.lang.String,Ann>` `getAnns()`
`java.lang.ClassLoader` `getClassLoader()`
`<T> T` `getFieldAnnotation(java.lang.String fieldName, java.lang.Class<T> c)`
`java.util.Set<java.lang.String>` `getFieldNames()`
`java.util.Map<java.lang.String,AnnField>` `getFields()`
`java.lang.String[]` `getInterfaces()`
`<T> T` `getMethodAnnotation(java.lang.String methodKey, java.lang.Class<T> c)`
`java.util.Set<java.lang.String>` `getMethodKeys()`
`java.util.Map<java.lang.String,AnnMethod>` `getMethods()`
`java.lang.String` `getName()`
`java.lang.String` `getSuperName()`
`void` `setAccess(int access)`
`void` `setInterfaces(java.lang.String[] interfaces)`
`void` `setName(java.lang.String name)`
`void` `setSuperName(java.lang.String superName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AnnClass

    public AnnClass(java.lang.ClassLoader cl)

### Method Detail

#### setName

    public void setName(java.lang.String name)

#### setAccess

    public void setAccess(int access)

#### setSuperName

    public void setSuperName(java.lang.String superName)

#### setInterfaces

    public void setInterfaces(java.lang.String[] interfaces)

#### addAnn

    public void addAnn(Ann ann)

#### addField

    public void addField(AnnField field)

#### addMethod

    public void addMethod(AnnMethod method)

#### getClassLoader

    public java.lang.ClassLoader getClassLoader()

#### getAccess

    public int getAccess()

#### getName

    public java.lang.String getName()

#### getSuperName

    public java.lang.String getSuperName()

#### getInterfaces

    public java.lang.String[] getInterfaces()

#### getAnns

    public java.util.Map<java.lang.String,Ann> getAnns()

#### getFields

    public java.util.Map<java.lang.String,AnnField> getFields()

#### getMethods

    public java.util.Map<java.lang.String,AnnMethod> getMethods()

#### getFieldNames

    public java.util.Set<java.lang.String> getFieldNames()

#### getMethodKeys

    public java.util.Set<java.lang.String> getMethodKeys()

#### getAnnotation

    public <T> T getAnnotation(java.lang.Class<T> c)

#### getFieldAnnotation

    public <T> T getFieldAnnotation(java.lang.String fieldName,
                           java.lang.Class<T> c)

#### getMethodAnnotation

    public <T> T getMethodAnnotation(java.lang.String methodKey,
                            java.lang.Class<T> c)